
<!-- form_answer_options -->

<div class="card">
  <div class="card-header"><h2>{{ _("Answers") }}</h2></div>
  <div class="card-body">
    <ul class="ds-list-group">
      {% if form_user != None and viewer_role != "admin" %}
      <li>
        <span>{{ _("Last answer") }}</span>
        <span>{{ form.get_last_answer_date() }}</span>
      </li>
      {% set disk_usage = form.get_disk_usage() %}
      {% if form.has_file_field() or disk_usage > 0 %}
      <li>
        <span>{{ _("Attached files") }}</span>
        <span>{{ human_readable_bytes(disk_usage) }}</span>
      </li>
      {% endif %}
      <li>
        <span>{{ _("Notify me on each new answer") }}</span>
        <div id="toggle_notification" class="btn-group btn-toggle">
          <button id="notification_true" class="btn btn-sm {% if form_user['notifications']['newAnswer'] %}btn-primary{% else %}btn-outline-secondary{% endif %}">{{ _("True") }}</button>
          <button id="notification_false" class="btn btn-sm {% if not form_user['notifications']['newAnswer'] %}btn-primary{% else %}btn-outline-secondary{% endif %}">{{ _("False") }}</button>
        </div>
      </li>
      {% endif %}
      <li>
        <span>{{ _("Allow users to edit their answers") }}</span>
        <div id="toggle_anon_edition" class="btn-group btn-toggle">
          <button id="anon_edition_true" class="btn btn-sm {% if form.anon_edition %}btn-primary{% else %}btn-outline-secondary{% endif %}">{{ _("True") }}</button>
          <button id="anon_edition_false" class="btn btn-sm {% if not form.anon_edition %}btn-primary{% else %}btn-outline-secondary{% endif %}">{{ _("False") }}</button>
        </div>
      </li>
      <li>
        <span>{{ _("Notify me when they edit their answers") }}</span>
        {% set anon_answer_edition = form_user["notifications"]["anon_answer_edition"] %}
        <div class="btn-group btn-toggle">
          <button id="notify_answer_edition_true" class="notify-on-answer-edition btn btn-sm {% if anon_answer_edition %}btn-primary{% else %}btn-outline-secondary{% endif %}"
                  {% if not form.anon_edition %}disabled{% endif %}>
              {{ _("True") }}
          </button>
          <button id="notify_answer_edition_false" class="notify-on-answer-edition btn btn-sm {% if not anon_answer_edition %}btn-primary{% else %}btn-outline-secondary{% endif %}"
                  {% if not form.anon_edition %}disabled{% endif %}>
              {{ _("False") }}
          </button>
        </div>
      </li>
    </ul>
  </div>
</div>

<script>
  // notify me on new answer
  document.getElementById('toggle_notification').addEventListener('click', function(evt){
      $.ajax({
          url : "{{url_for('form_bp.toggle_new_answer_notification', form_id=form.id)}}",
          type: "POST",
          dataType: "json",
          beforeSend: function(xhr, settings) {
              if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type)) {
                  xhr.setRequestHeader("X-CSRFToken", "{{ csrf_token() }}")
              }
          },
          success: function(data, textStatus, jqXHR)
          {
              if (data.notification == true) {
                  $('#notification_true').addClass('btn-primary')
                                         .removeClass('btn-outline-secondary');
                  $('#notification_false').removeClass('btn-primary')
                                          .addClass('btn-outline-secondary');
              }
              else if (data.notification == false) {
                  $('#notification_true').removeClass('btn-primary')
                                         .addClass('btn-outline-secondary');
                  $('#notification_false').addClass('btn-primary')
                                          .removeClass('btn-outline-secondary');
              }
          }
      });
  });
  document.getElementById('toggle_anon_edition').addEventListener('click', function(evt){
    $.ajax({
      url : "{{url_for('form_bp.toggle_anon_edition', form_id=form.id)}}",
      type: "POST",
      dataType: "json",
      beforeSend: function(xhr, settings) {
        if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type)) {
          xhr.setRequestHeader("X-CSRFToken", "{{ csrf_token() }}")
        }
      },
      success: function(data, textStatus, jqXHR)
      {
        if (data.anon_edition == true) {
          $('#anon_edition_true').addClass('btn-primary')
                                 .removeClass('btn-outline-secondary');
          $('#anon_edition_false').removeClass('btn-primary')
                                  .addClass('btn-outline-secondary');
          $(".notify-on-answer-edition").prop("disabled", false)
        }
        else if (data.anon_edition == false) {
          $('#anon_edition_true').removeClass('btn-primary')
                                 .addClass('btn-outline-secondary');
          $('#anon_edition_false').addClass('btn-primary')
                                  .removeClass('btn-outline-secondary');
          $("#notify_answer_edition_true").removeClass('btn-primary')
                                          .addClass('btn-outline-secondary');
          $("#notify_answer_edition_false").addClass('btn-primary')
                                           .removeClass('btn-outline-secondary');
          $(".notify-on-answer-edition").prop("disabled", true)
        }
      }
    });
  });
  $(".notify-on-answer-edition").on('click', function(evt) {
    $.ajax({
      url : "{{ url_for('form_bp.toggle_notify_on_answer_edition', form_id=form.id) }}",
      type: "POST",
      dataType: "json",
      beforeSend: function(xhr, settings) {
        if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type)) {
          xhr.setRequestHeader("X-CSRFToken", csrftoken)
        }
      },
      success: function(data, textStatus, jqXHR)
      {
        if (data.notify_answer_edition == true) {
          $('#notify_answer_edition_true').addClass('btn-primary')
                                          .removeClass('btn-outline-secondary');
          $('#notify_answer_edition_false').removeClass('btn-primary')
                                           .addClass('btn-outline-secondary');
        }
        else if (data.notify_answer_edition == false) {
          $('#notify_answer_edition_true').removeClass('btn-primary')
                                          .addClass('btn-outline-secondary');
          $('#notify_answer_edition_false').addClass('btn-primary')
                                           .removeClass('btn-outline-secondary');
        }
      }
    });
  });
</script>
